%global pkgname django-flash
%global obs_ver 1.7.2-6

Name:           python-django-flash
Version:        1.8
Release:        5%{?dist}
Summary:        A Django extension to provide support for Rails-like flash

Group:          Development/Languages
License:        BSD
URL:            http://danielfm.github.com/django-flash
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch1:         python-django-flash-settings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools

Requires:       python-django
BuildRequires:  python-django

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < %{obs_ver}

%description
A simple Django extension that provides support for Rails-like flash messages.

The flash is a temporary storage mechanism that looks like a Python
dictionary, so you can store values associated with keys and later retrieve
them. It has one special property: by default, values stored into the flash
during the processing of a request will be available during the processing
of the immediately following request. Once that second request has been
processed, those values are removed automatically from the storage.

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 

%build
%{__python} setup.py build

%install
rm -rf %{buildroot} 
%{__python} setup.py install --skip-build --root %{buildroot}
find %{buildroot} -name 'manage.py' | xargs chmod 0755

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.rst
%{python_sitelib}/djangoflash
%{python_sitelib}/django_flash-*.egg-info

%changelog
* Mon Apr 15 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.8-5
- Build in f19

* Wed Mar 27 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.8-4
- Add python macro of calling python
- Add url of project homepage
  
* Tue Mar 26 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.8-3
- change line of permission 

* Mon Mar 25 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.8-2
- Add patch for change load to Loader
- add check section for test

* Fri Mar 22 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.8-1
- Change name and version 

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul 01 2010 Sebastian Dziallas <sebastian@when.com> - 1.7.2-2
- use renamed readme file

* Thu Jul 01 2010 Sebastian Dziallas <sebastian@when.com> - 1.7.2-1
- new upstream release

* Tue Jan 26 2010 Sebastian Dziallas <sebastian@when.com> - 1.7-1
- new upstream release

* Tue Oct 06 2009 Sebastian Dziallas <sebastian@when.com> - 1.6.2-2
- remove unneeeded BRs

* Tue Oct 06 2009 Sebastian Dziallas <sebastian@when.com> - 1.6.2-1
- initial packaging
